BDU:2022-01458: Уязвимость функции pjsua_recorder_create мультимедийной коммуникационной библиотеки PJSIP, связанная с чтением за границами буфера памяти, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции pjsua_recorder_create мультимедийной коммуникационной библиотеки PJSIP связана с чтением за границами буфера памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказа в обслуживании
Вендор ООО «Ред Софт», ФССП России, Сообщество свободного программного обеспечения
Наименование ПО РЕД ОС (запись в едином реестре российских программ №3751), ОС ТД АИС ФССП России, PJSIP
Версия ПО
  • 7.3 (РЕД ОС)
  • ИК6 (ОС ТД АИС ФССП России)
  • до 2.11.1 включитиельно (PJSIP)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Чтение за границами буфера
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 02.03.2022
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для РедОС:
http://repo.red-soft.ru/redos/7.3c/x86_64/updates/

Для PJSIP:
Обновление программного обеспечения до версии 2.12 и выше

Для ОС ТД АИС ФССП России:
https://goslinux.fssp.gov.ru/2726972/
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения